# -*- coding: utf-8 -*-

{
#--------------------------------------------------------
    'AT+PICTKCNF':
	{
		'name':'AT+PICTKCNF',
		'explain':u'USB摄像头拍照配置',
		'param_list_count':1,
		'fields':
		[
			{
				'name':'width',
				'explain':u'宽',
				'type':'int',
				'default':0,
				'min_val':0,
				'max_val':9999,
				'set_prefix':'-w',
			},
			{
				'name':'height',
				'explain':u'高',
				'type':'int',
				'default':0,
				'min_val':0,
				'max_val':9999,
				'set_prefix':'-h',
			},
			{
				'name':'delay',
				'explain':u'延时',
				'type':'int',
				'default':2000,
				'min_val':0,
				'max_val':60000,
				'suffix':u' 毫秒',
				'set_prefix':'-d',
			},
		],
	},
#--------------------------------------------------------
    'AT+PICRTSP':
	{
		'name':'AT+PICRTSP',
		'explain':u'网络摄像头rtsp链接',
		'param_list_count':1,
		'pre_set_at_command':'AT+PICRTSP=c',
		'fields':
		[
			{
				'name':'rtsp link',
				'explain':u'rtsp链接',
				'type':'string',
				'default':'',
				'ignore_field_value':['False'],
				'maxLength':255,
			},
		],
	},
#--------------------------------------------------------
    'AT+PICTKHTTP':
	{
		'name':'AT+PICTKHTTP',
		'explain':u'图片上传HTTP协议配置',
		'param_list_count':1,
		'fields':
		[
			{
				'name':'domain',
				'explain':u'服务器地址',
				'type':'url',
				'default':'',
				'set_prefix':'-h',
				'maxLength':63,
			},
			{
				'name':'port',
				'explain':u'服务器端口',
				'type':'int',
				'default':0,
				'min_val':0,
				'max_val':65532,
				'set_prefix':'-p',
				'ignore_field_value':[None, '', 0],
			},
			{
				'name':'ssl',
				'explain':u'ssl连接',
				'type':'int list',
				'set_prefix':'-s',
				'default':0,
				'list_value':
				[
					{'value':0, 'desciption':u': 否'},
					{'value':1, 'desciption':u': 是'},
				],
			},
			{
				'name':'post path',
				'explain':u'post路径',
				'type':'string',
				'default':'/post_rtu_pic',
				'set_prefix':'-t',
			},
			{
				'name':'post name',
				'explain':u'post名称',
				'type':'string',
				'default':'rtu_pic',
				'set_prefix':'-n',
			},
			{
				'name':'post file',
				'explain':u'post文件名',
				'type':'string',
				'default':'pic',
				'set_prefix':'-f',
			},
		],
	},
#--------------------------------------------------------
    'AT+PICEN':
	{
		'name':'AT+PICEN',
		'param_list_count':1,
		'explain':u'COMWAY协议上传图片使能',
		'fields':
		[
			{
				'name':'enable',
				'explain':u'是否使能',
				'type':'int list',
				'default':0,
				'list_value':
				[
					{'value':0, 'desciption':u': 否'},
					{'value':1, 'desciption':u': 是'},
				],
			},
		],
	},
#--------------------------------------------------------
    'AT+PICTK':
	{
		'name':'AT+PICTK',
		'explain':u'开始拍照',
		'param_list_count':0,
		'testonly':True,
		'fields':[],
		'timeout':10,
	},
#--------------------------------------------------------
}